Subject: [Tsvwg] [SCTP] a small correction in RFC 4960

From: Ash Kat <[email-masked]>
Date: Thu, 12 Jun 2008 10:06:45 +0530 (IST)

Hello:
'Path.Max.Retrans' parmeters specifies the maximum number of retransmission on a path before that path is marked down.
Section 8.3 of RFC says:
   When the value of this counter ""reaches"" the protocol parameter
   'Path.Max.Retrans', the endpoint should mark the corresponding
   destination address as inactive if it is not so marked, and may also
   optionally report to the upper layer the change of reachability of
   this destination address.
This will make the Heartbeat to be re-transmitted one count less then 'Path.Max.Retrans'
This is correct in Section 8.2 which says:
   When the value in the error counter ""exceeds"" the protocol parameter
   'Path.Max.Retrans' of that destination address, the endpoint should
   mark the destination transport address as inactive, and a
   notification SHOULD be sent to the upper layer.
So Section 8.3 should be modified and a path should be marked down when error count exceeds 'Path.Max.Retrans'.
Regards,
Ashwani Kathuria

      From Chandigarh to Chennai - find friends all over India. Go to http://in.promos.yahoo.com/groups/citygroups/

---

From: Michael Tüxen <[email-masked]>
Date: Thu, 12 Jun 2008 09:44:59 +0200

Hi Ash,

yes, that is a (at least by me) known issue... This comes up, when you
dimension your parameters to fullfil a given path error detection  
time...

I'm not sure if we should start again an errata ID...

Best regards
Michael

On Jun 12, 2008, at 6:36 AM, Ash Kat wrote:

> Hello:
>
> 'Path.Max.Retrans' parmeters specifies the maximum number of  
> retransmission on a path before that path is marked down.
>
> Section 8.3 of RFC says:
> So Section 8.3 should be modified and a path should be marked down  
> when error count exceeds 'Path.Max.Retrans'.
>
> Regards,
> Ashwani Kathuria
>
> Bring your gang together. Do your thing. Find your favourite Yahoo!  
> Group.

---

From: Lars Eggert <[email-masked]>
Date: Thu, 12 Jun 2008 10:25:11 +0200

Submit it as an errata to the RFC Editor for now.

Lars

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 12 Jun 2008 00:47:01 -0600

Ash,

Yes, I agree.

This looks worth submitting to the RFC Editor as an
Errata to RFC 4960.

--brian

Ash Kat wrote:               (Thu, 12 Jun 2008 10:06:45)
> 
>    So Section 8.3 should be modified and a path should be marked
>    down when error count exceeds 'Path.Max.Retrans'.
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Michael Tüxen <[email-masked]>
Date: Thu, 12 Jun 2008 20:30:48 +0200

Hi Lars,

I have submitted an errata. The correct text should say in section 8.3:

    When the value of this counter exceeds the protocol parameter

Best regards
Michael

On Jun 12, 2008, at 10:25 AM, Lars Eggert wrote:

>>> Bring your gang together. Do your thing. Find your favourite  
>>> Yahoo! Group.
>>
>
>